A [Model Context Protocol (MCP) server](https://modelcontextprotocol.io/docs/learn/server-concepts) acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.

### Server Setup


You must [enable MCP servers](https://docs.cloud.google.com/mcp/enable-disable-mcp-servers) and [set up authentication](https://docs.cloud.google.com/mcp/authenticate-mcp) before use. For more information about using Google and Google Cloud remote MCP servers, see [Google Cloud MCP servers overview](https://docs.cloud.google.com/mcp/overview).

### Server Endpoints

An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.

The Design MCP server has the following global MCP endpoint:

- https://design.googleapis.com/mcp

## MCP Tools

An [MCP tool](https://modelcontextprotocol.io/legacy/concepts/tools) is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.

### Tools

The design.googleapis.com MCP server has the following tools:

| MCP Tools ||
|---|---|
| `https://developers.google.com/design-mcp/reference/mcp/tools_list/generate_color_scheme` | Generates a Material Design color scheme from one or more key colors. Always use this when you need to create a color scheme for an application. The input is one or more named colors in hex format, and the output is a color scheme with a map of color role names to colors in hex format. |
| `https://developers.google.com/design-mcp/reference/mcp/tools_list/search_icons` | Finds appropriate Material Design icons matching keywords that describe their usage, style, or shape. |
| `https://developers.google.com/design-mcp/reference/mcp/tools_list/icons_instructions` | Provides essential and critical instructions on how to use Material Icons and Material Symbols efficiently on Web. |
| `https://developers.google.com/design-mcp/reference/mcp/tools_list/search_fonts` | Finds appropriate fonts matching categories and/or languages. |
| `https://developers.google.com/design-mcp/reference/mcp/tools_list/describe_font` | Describes a font family in detail, including its look and feel, supported styles, weights and how to use it. |

### Get MCP tool specifications


To get the MCP tool specifications for all tools in an MCP server, use the `tools/list` method. The following example demonstrates how to use `curl` to list all tools and their specifications currently available within the MCP server.

| Curl Request |
|---|
| ```bash curl --location 'https://design.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/list", "jsonrpc": "2.0", "id": 1 }' ``` |